• 赤色のリンクは、まだ日本語Codexに存在しないページ・画像です。英語版と併せてご覧ください。(詳細

このWikiはいつでも誰でも編集できます

自動アップグレード対応

提供: WordPress Codex 日本語版
移動先: 案内検索

以下は、WordPress 2.7 から取り入れられた自動アップグレード機能のテストを行ったサーバの一覧です。この機能は、2.7 以降をインストールしている場合で、その後のバージョン (例: 2.7.1、2.9、3.0) へアップグレードをする際にのみ利用できることにご注意ください。

情報募集中 下記以外の動作情報や訂正があれば、 該当部分を編集するか、日本語フォーラムで教えてください。


記入要領:

  • リンクをつけずに書き込んでください。
  • プラン名やサーバー番号なども書き込んでください。サーバー仕様・動作が異なる場合があります。
  • 海外サーバー(海外のホスティングサービス)についての最新の動作情報は、英語版Codex にあります。下記のリストには、レンタルサーバー情報に掲載されている海外サーバーのみ英語版から転載しました。他にも日本語ユーザで動作確認できた海外サーバーがありましたら、下記へご記入ください。


WordPress 2.9 以上へアップグレードするには、MySQL 4.1.2 以上が必要です

  • 当機能が動作していたサーバーであっても、WordPress の動作要件を満たさないと 2.9 以降にはアップグレードできません(実行時にメッセージが表示されます)。
  • ホスティングサービス(レンタルサーバー)によっては、MySQL のアップグレードや収容サーバーの移動ができる場合もあります。レンタルサーバー情報や各ホスティングサイトの案内をご確認ください。

全面対応

国内サーバー

  • アイル
    • Infinito
  • エックスサーバ
    • サーバ番号 sv69 (Linux, Apache 2.0.52, PHP 4.3.9, MySQL 4.0.26)
  • オーシャンインターネット
    • 飛鳥プラン
    • シンフォニアプラン
    • エリザベスプラン
    • ビクトリアプラン
  • ギガレンタルサーバー
  • Surfweb Company
    • Linux kernel version 2.4.32, Apache 1.3.34 (Unix), MySQL 4.1.22, PHP 4.4.6
  • Symphonic-net.com
    • ※事前にUTF-8でMySQLサービスを申し込んでおく必要あり
  • Just-size.networks (JSN)
    • Apache 2.0.52, CentOS, PHP 5.2.9, MySQL 4.1.22
    • 「毎回、接続情報を記入する必要があり。不安なら手動アップグレードしたほうが良い」と報告あり。
  • チカッパ!
  • 使えるねっと
    • Linux VPS|シルバー (Linux 2.6.9, Apache 2.2.3, PHP 5.1.6, MySQL 5.0.27)
  • NEXTSPACE
    • パーソナルWEB 500プラン (FreeBSD, Server API = CGI, MySQL 5.0.41, PHP 5.2.6)、2.7 → 2.8.1ja
  • heteml
  • ファーストサーバ
    • ギガント2(Linux 2.6.x, Apache 1.3.37, PHP 5.2.6, MySQL 5.0.27)
    • ウルトラビジネス2 (Linux 2.6.x, Apache 1.3.37, PHP 5.2.6, MySQL 5.0.27)
  • ファイアバード
    • 2.9.2 → 3.0、2.7.1 → 3.0 でも問題なし。
    • Linux, Apache 2.2.3, Perl 5.8.8, PHP 5.1.6, MySQL 5.0.77
  • freeweb
    • 3.1.2-ja → 3.1.3-ja で問題なし。
    • Linux, Apache 2.2.3, Perl 5.8, PHP 5.1.52, MySQL 5.1.52
  • ミニバード
    • 2.9.2 → 3.0 で問題なし。
    • Linux, Apache 2.2.3, PHP 5.1.6, MySQL 5.0.77
  • ロリポップ!
  • 99円レンタルサーバー
  • @PAGES レンタルサーバ
    • www9.atpages.jp (処理時間がかかるかも)
  • KFFK SERVER
  • Mbレンタルサーバー

海外サーバー

  • Bluehost
  • PHP 5.2.6, MySQL 5.0.45
  • Dreamhost
  • EOS 共用サーバー
    • Apache 2.2.11 (Unix), MySQL 4.1.22-standard, PHP 5.2.8
  • LunarPages

上記以外の海外サーバは英語版Codex を参照

その他

  • XAMPP 1.6.3、1.6.6、1.6.7 install on Windows (英語版 [1]
  • XAMPP installation on Linux (英語版 [1]

動作するが注意が必要

国内サーバー

  • アイネットディー(inetd)
    • Light プラン(PHP5.2.5、CGIモード)
      • デフォルトの設定では有効となっていないPHPライブラリ、zlib の有効化が必要(php.ini をユーザーが編集できるので、extension=zlib.so を追加する)。
      • サーバ提供の WordPress自動インストール機能を利用した際は zlib がデフォルトで有効化されるように対応されるとのこと。対応後の新規自動インストールでは問題なく動作するはず。
  • XREA、XREA+ -- 要セーフモード対応
    • s206: (Apache 1.3.37、PHP 5.2.5、MySQL 5.1.11) セーフモード対応方法1、2とも動作
    • s289: セーフモード対応方法2で確認済み (Windows 7 RC 64bit) PHP 4.4.8、MySQL 4.0.27(2010-2-5 時点)
      • WordPress の動作要件が上がったため、s289 サーバでは 2.9 以降にアップグレードできない(報告詳細)。XREA 内サーバ移動か、MySQL アップグレード依頼(他のユーザがいるので難しいかも)が必要。
  • Obitastar CMS 専用高速レンタルサーバー『オリジナルレギュラープラン』 -- 措置が必要(参照
  • SAKURA レンタルサーバ(さくらのレンタルサーバ)
    • スタンダードプラン(FreeBSD 6.1-RELEASE-p23 i386, Apache 1.3.39, PHP Ver.5.2.6, MySQL 4.0.27) -- 自動アップグレード後、ファイルのパーミッションが644に変換され、一部のテーマに不具合が発生するとの報告あり。
    • プレミアム (FreeBSD 6.1-RELEASE-p23 i386, Apache 1.3.39 (Unix), PHP 5.2.8, MySQL 4.0.27)
  • ワダックス(WADAX @Next Style)
    • 共用レンタルサーバ・スタンダードプラン (Red Hat Enterprise Linux、Apache 2.0、PHP5.2.8(safe_mode off)、mysql4.1.22) -- 「接続情報」のホスト名に IPアドレスを入力(参照
      • sv54.wadax.ne.jp(211.133.134.104)、sv56.wadax.ne.jp(211.133.134.106)、sv57.wadax.ne.jp(211.133.134.107)にて動作

海外サーバ

英語版 Codex を参照。

非対応

国内サーバー

SourceForge.JP
セーフモード+SSH2のSFTP+鍵認証。サーバに ssh2 モジュールがない(2010-1-17 phpinfo にて確認)ため難しいと思われる。User:Bono/管理パネル/Connection Information#SFTP の場合 参照。

海外サーバー

英語版Codex を参照

動作未確認

ステップサーバー
セーフモードのためそのままでは動作せず。方法 1(事前ディレクトリ作成)をフォーラムにて提案、未確認。

関連ページ

脚注

  1. 1.0 1.1 英語版Codex より転記したため「XAMPP 英語版」としておく。日本語版も同仕様かは未確認。